export declare type DeepPartial<T> = {
    [P in keyof T]?: DeepPartial<T[P]>;
};
export interface DatabaseConfig {
    protocol: string;
    host: string;
    port: number;
    name: string;
}
export interface AppConfig {
    database: DatabaseConfig;
    dataPath: string;
    dropDatabase: boolean;
    convertId: boolean;
    supportedExtensions: string[];
    reconnectTimeout: number;
}
export declare const defaultConfig: AppConfig;
export declare const getConfig: (ownConfig: DeepPartial<AppConfig>) => AppConfig;
