"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const config_1 = require("./config");
const connectToDatabase_1 = require("./connectToDatabase");
const DataImporter_1 = require("./DataImporter");
const log = require('debug')('mongo-seeding');
exports.seedDatabase = (partialConfig) => __awaiter(this, void 0, void 0, function* () {
    const config = config_1.getConfig(partialConfig);
    try {
        log('Starting...');
        const db = yield connectToDatabase_1.connectToDatabase(config.database, config.reconnectTimeout, log);
        if (config.dropDatabase) {
            log('Dropping database...');
            yield db.dropDatabase();
        }
        yield new DataImporter_1.DataImporter(db, log).importData(config);
        yield db.close();
        log('Exiting...');
        process.exit(0);
    }
    catch (err) {
        console.error(err);
        process.exit(1);
    }
});
//# sourceMappingURL=index.js.map